Skip to content

PDF

The PDF resource allows you to get a list of and download available PDFs.


PDF Properties

workbenchId
string
The unique identifier for a Build Kit, per CIS WorkBench. This ID can be used to download a Build Kit.
pdfTitle
string
The title of the published PDF, e.g., 'CIS Red Hat Enterprise Linux 8 Benchmark v2.0.0 - PDF'.
benchmarkTitle
string
The title of the published Benchmark, e.g., 'CIS Microsoft Windows 10 Enterprise Release 1809 Benchmark v1.6.0'.
pdfFileName
string
The filename of the published PDF, e.g., CIS_Red_Hat_Enterprise_Linux_8_Benchmark_v2.0.0.pdf.

List Available PDFs

GET /pdf

Get a list of all publicly available, published CIS Benchmarks with downloadable PDFs.

Response

Returns basic information about all PDFs, such as an ID, Benchmark Title, and PDF Title.

Media type: application/json

Example
Request - cURL
curl -X GET "https://workbench.cisecurity.org/api/vendor/v1/pdf"
Response - 200 OK
{
    "Total number of results": 269,
    "PDFs": [
        {
            "workbenchId": "9089",
            "pdfTitle": "CIS CentOS Linux 8 Benchmark v2.0.0 - PDF",
            "benchmarkTitle": "CIS CentOS Linux 8 Benchmark v2.0.0",
            "pdfFileName": "CIS_CentOS_Linux_8_Benchmark_v2.0.0.pdf"
        },
        {
            "workbenchId": "9090",
            "pdfTitle": "CIS Red Hat Enterprise Linux 8 Benchmark v2.0.0 - PDF",
            "benchmarkTitle": "CIS Red Hat Enterprise Linux 8 Benchmark v2.0.0",
            "pdfFileName": "CIS_Red_Hat_Enterprise_Linux_8_Benchmark_v2.0.0.pdf"
        }
    ]
}

Download PDF

GET /pdf/{workbenchId}

Download Benchmark content in PDF format.

Request

Header Parameters
X-SecureSuite-Token
string
The token received from a successful license key verification, e.g., 12347b68c544113bc4notvalid358ffd4ba7f254e39c4a842cefed748
Path Parameters
workbenchId
string
The unique identifier for a PDF, per CIS WorkBench.

Response

Returns a PDF download of the Benchmark content.

Media type: .pdf

Example

Request - cURL
curl -X GET ^
  -H "X-SecureSuite-Token: 15638e93802ti234" ^
  "https://workbench.cisecurity.org/api/vendor/v1/pdf/1234"